<?php

namespace Drupal\smallads_murmurations;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;
use Symfony\Component\Routing\Route;

/**
 * Because the transaction collection is also the field ui base route, and
 * because views provides a superior listing to the entity's official
 * list_builder, this alters that view's route to comply with the entity.
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection) {
    if ($collection->get('view.smallads_auto_page.offer')) {
      $route = new Route(
        '/offers/global',
        [
#          '_form' => '\Drupal\murmurations\Form\FilterForm',
          '_form' => '\Drupal\smallads_murmurations\OffersWantsFilterForm',
          '_title' =>  'Search network offers'
        ],
        [
          '_permission' => 'post smallads'
        ],
        [
          'parameters' => ['side' => 'offer']
        ]
      );
      $collection->add('smallads_murmurations.search.offer', $route);
    }
    if ($collection->get('view.smallads_auto_page.want')) {
      $route = new Route(
        '/wants/global',
        [
          '_form' => '\Drupal\smallads_murmurations\OffersWantsFilterForm',
          '_title' =>  'Search network wants'
        ],
        [
          '_permission' => 'post smallads'
        ],
        [
          'parameters' => ['side' => 'want']
        ]
      );

      $collection->add('smallads_murmurations.search.want', $route);
    }
  }

}
